YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Interface IAdvancedLayoutMode

Package | com.yahoo.astra.layout.modes
Interface | public interface IAdvancedLayoutMode extends ILayoutMode, flash.events.IEventDispatcher
Implementors | BaseLayoutMode, BorderLayout, BoxLayout, FlowLayout, TileLayout

Defines the methods required for layout modes that have advanced configuration settings for individual children.

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | addClient(target:DisplayObject, configuration:Object = null):void Registers a specific display object with the layout algorithm. | IAdvancedLayoutMode
|  | hasClient(target:DisplayObject):Boolean Returns true if a display object has been registered as a client. | IAdvancedLayoutMode
|  | layoutObjects(displayObjects:Array, bounds:Rectangle):Rectangle The DisplayObjects in the input parameter will be positioned and sized based on a specified rectangle. | ILayoutMode
|  | removeClient(target:DisplayObject):void Unregisters a specific display object from the layout algorithm. | IAdvancedLayoutMode

Method detail

addClient | () | method

`public function addClient(target:DisplayObject, configuration:Object = null):void`

Registers a specific display object with the layout algorithm. If certain settings need to be specified for individual display objects, they should be passed to the layout algorithm here.

Parameters

| `target:DisplayObject` — The client to add
| `configuration:Object` (default = `null`)`` — An optional set of name-value pairs for the client's configuration.

hasClient | () | method |

`public function hasClient(target:DisplayObject):Boolean`

Returns true if a display object has been registered as a client.

Parameters

| `target:DisplayObject` — The display object that may be registered

Returns

| `Boolean`

removeClient | () | method |

`public function removeClient(target:DisplayObject):void`

Unregisters a specific display object from the layout algorithm.

Parameters

| `target:DisplayObject` — The client to remove